﻿@page
@using Domain.Enums
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}

<div class="text-center">
    <h1 class="display-4">Battle Ship</h1>
</div>
<hr/>
<div class="text-center">
    <h2>Start a new game</h2>
</div>
<form method="post">
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <div class="form-row">
        <div class="form-group col-md-8">
            <input asp-for="PlayerA" class="form-control" placeholder="Player A name">
            <span asp-validation-for="PlayerA" class="text-danger"></span>
        </div>
        <div class="form-group col-md-4">
            <select asp-for="PlayerAType" asp-items="Html.GetEnumSelectList<EPlayerType>()" class="form-control"></select>
            <span asp-validation-for="PlayerAType" class="text-danger"></span>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-8">
            <input asp-for="PlayerB" class="form-control" placeholder="Player B name">
            <span asp-validation-for="PlayerB" class="text-danger"></span>
        </div>
        <div class="form-group col">
            <select asp-for="PlayerBType" asp-items="Html.GetEnumSelectList<EPlayerType>()" class="form-control"></select>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-6">
            <input asp-for="GameOptionsName" class="form-control" placeholder="Game settings name">
            <span asp-validation-for="GameOptionsName" class="text-danger"></span>
        </div>
        <div class="form-group col-md-3">
            <input asp-for="BoardHeight" class="form-control" placeholder="Board height">
            <span asp-validation-for="BoardHeight" class="text-danger"></span>
        </div>
        <div class="form-group col-md-3">
            <input asp-for="BoardWidth" class="form-control" placeholder="Board Width">
            <span asp-validation-for="BoardWidth" class="text-danger"></span>
        </div>
    </div>
    <div class="form-row">
        <label asp-for="EBoatsCanTouch" class="col col-form-label">Can Boats touch:</label>
        <div class="form-group col">
            <select asp-for="EBoatsCanTouch" class="form-control" asp-items="Html.GetEnumSelectList<EBoatsCanTouch>()"></select>
        </div>
        <label asp-for="CanSamePlayerMoveAfterHit" class="col col-form-label">Same player move after hit:</label>
        <div class="form-group col">
            <input asp-for="CanSamePlayerMoveAfterHit" class="form-control" checked placeholder="Board height">
        </div>
    </div>
    <div class="text-center">
        <button type="submit" class="btn btn-primary">Start new game</button>
    </div>
</form>
<hr/>
<div class="text-center">
    <h2>Load an existing game</h2>
</div>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ExistingGames![0].Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ExistingGames![0].PlayerA)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ExistingGames![0].PlayerB)
            </th>
            <th>
                Board size
            </th>
            <th>
                ACTIONS
            </th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.ExistingGames!) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PlayerA.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PlayerB.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BoardHeight) x 
                @Html.DisplayFor(modelItem => item.BoardWidth)
            </td>
            <td>
                <a asp-page="./GamePlay/Index" asp-route-gameId="@item.GameId">Load</a>
            </td>
        </tr>
}
    </tbody>
</table>